Subject: Re: can we reuse an skb

From: Rick Jones <[email-masked]>
Date: Fri, 19 Jun 2009 09:56:06 -0700

Radha Mohan wrote:
> Hi,
> 
> For an ethernet driver, we need to allocate some pool of SKBs for
> receiving packets. Is there any way we can reuse the same SKBs
> without the need to re-allocate in atomic every time one has been
> used up for netif_rx().

Assuming a driver did have its own "pool" and didn't rely on the pool(s) 
from which skbs are drawn, doesn't that mean you have to now have 
another configuable?  There is no good guarantees on when the upper 
layers will be finished with the skb right?  Which means you would be 
requiring the admin(s) to have an idea of how long their applications 
wait to pull data from their sockets and configure your driver accordingly.

It would seem there would have to be a considerable performance gain 
demonstrated for that kind of thing?

rick jones